<?php

namespace Slovocast\Infrastructure\Api\Database;

interface ConnectionPoolInterface
{
    public function getFreeConnectionsCount(): int;
    public function getActiveConnectionsCount(): int;
    public function hasFreeConnection(): bool;
    public function getConnection(): ConnectionInterface;
    public function releaseConnection(ConnectionInterface $connection): void;
}
